%lib_package ksba 8

Summary: A library to access X.509 and CMS data structures
Name: libksba
Version: 1.0.3
Release: 17%{?dist}
Source0: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++
BuildRequires: libgpg-error-devel >= 1.4
#BuildRequires: libgcrypt-devel
%lib_dependencies

%description
KSBA is a library to make the taks of working with X.509 certifictes,
CMS data and related data more easy.

%prep
%setup -q

%build
CFLAGS="$CFLAGS -fPIC"; export CFLAGS
%configure

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_infodir}/dir

cat > develfiles.list << EOF
%{_bindir}/ksba-config
%{_infodir}/*
EOF

%clean
rm -rf %{buildroot}

%post devel
infofile=%{_infodir}/ksba.info
if [ -f $infofile.gz ]; then infofile=$infofile.gz; fi
/sbin/install-info $infofile %{_infodir}/dir

%preun devel
if [ $1 = 0 ]; then
  infofile=%{_infodir}/ksba.info
  if [ -f $infofile.gz ]; then infofile=$infofile.gz; fi
  /sbin/install-info --del $infofile %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)

%changelog
* Tue Apr  1 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.3-17
- Update to 1.0.3.

* Sat Jan 12 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.2-16
- Update to 1.0.2.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.0-15
- Update to 1.0.0.

* Tue Dec 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.13.

* Fri Oct  7 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.12.

* Thu Apr 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.11.

* Sun Oct 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.9.

* Tue Jun  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.7.

* Mon Mar 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.4.

* Fri May  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.7.

* Fri Jan 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
